package map;

import java.util.ArrayList;
import path.Node;

public class Area {
	public int width;
	public int height;
	public ArrayList<ArrayList<Node>> map;
	
	public Area(int w, int h) {
		this.width = w;
		this.height = h;
		
		createMap();
	}
	
	public Node getNode(int x, int y) {
		return map.get(y).get(x);
	}
	
	private void createMap() {
		Node node;
		map = new ArrayList<ArrayList<Node>>();
		for (int y = 0; y < height; y++) {
			map.add(new ArrayList<Node>());
			for (int x = 0; x < width; x++) {
				node = new Node(x, y, this);
				map.get(y).add(node);
			}
		}
	}
}
